# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Private Member Functions | List of all members
dirac::MotionCompensator_HalfPixel Class Reference

Half Pixel precision Motion compensator class.

`#include <mot_comp.h>`

Inheritance diagram for dirac::MotionCompensator_HalfPixel:
[legend]
Collaboration diagram for dirac::MotionCompensator_HalfPixel:
[legend]

## Public Member Functions
| MotionCompensator_HalfPixel (const PicturePredParams &ppp)
| Constructor. More...
Public Member Functions inherited from dirac::MotionCompensator
| MotionCompensator (const PicturePredParams &ppp)
| Constructor. More...
virtual | ~MotionCompensator ()
| Destructor. More...
void | CompensatePicture (const AddOrSub direction, const MvData &mv_data, Picture *in_pic, Picture *refsptr[2])
| Compensate a picture. More...

## Private Member Functions
virtual void | BlockPixelPred (TwoDArray< ValueType > &block_data, const ImageCoords &pos, const ImageCoords &orig_pic_size, const PicArray &refup_data, const MVector &mv)
| Motion-compensate a block. More...

## Additional Inherited Members
Static Public Member Functions inherited from dirac::MotionCompensator
static void | CompensatePicture (const PicturePredParams &ppp, const AddOrSub direction, const MvData &mv_data, Picture *in_pic, Picture *refptr[2])
| Convenience function to perform motion compensation on a picture. More...
Protected Attributes inherited from dirac::MotionCompensator
PicturePredParams | m_predparams
| The codec parameters. More...
ChromaFormat | m_cformat
| The chroma format. More...
bool | luma_or_chroma
AddOrSub | m_add_or_sub
OLBParams | m_bparams
TwoDArray< ValueType > * | m_block_weights
TwoDArray< ValueType > * | m_macro_block_weights
TwoDArray< ValueType > * | m_sub_block_weights

## Constructor & Destructor Documentation

## ◆ MotionCompensator_HalfPixel()

dirac::MotionCompensator_HalfPixel::MotionCompensator_HalfPixel | ( | const PicturePredParams & | ppp | ) |

Constructor initialises using codec parameters.

## Member Function Documentation

## ◆ BlockPixelPred()

virtual void dirac::MotionCompensator_HalfPixel::BlockPixelPred | ( | TwoDArray< ValueType > & | block_data,
|  | const ImageCoords & | pos,
|  | const ImageCoords & | orig_pic_size,
|  | const PicArray & | refup_data,
|  | const MVector & | mv
| ) |  |
| private virtual

Implements dirac::MotionCompensator.

The documentation for this class was generated from the following file:

- mot_comp.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.